<div class="teacher-form-container">
  <div>
    <h1>Register a new teacher</h1>
  </div>

  <div>
    <form [formGroup]="teacherForm" (ngSubmit)="saveTeacher()" class="teacher-form">

      <mat-form-field>
        <mat-label>First name</mat-label>
        <input matInput formControlName="firstName"/>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Last name</mat-label>
        <input matInput formControlName="lastName"/>
      </mat-form-field>
      
      <mat-form-field>
        <mat-label>CNP</mat-label>
        <input matInput formControlName="cnp"/>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Subject</mat-label>
        <input matInput formControlName="subject"/>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Salary</mat-label>
        <input matInput formControlName="salary"/>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Profile picture URL</mat-label>
        <input matInput formControlName="profilePicture"/>
      </mat-form-field>

      <button mat-raised-button type="submit" color="black">Save</button>
    </form>
  </div>
</div>
